Subject: linux-next: build failure after merge of the bkl-config tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 15 Mar 2011 18:48:45 +1100

Hi Arnd,

After merging the bkl-config tree, today's linux-next build (powerpc
ppc64_defconfig) failed like this:

fs/nfs/read.c:21:28: error: linux/smp_lock.h: No such file or directory

Caused by commit 64419a9b2093 ("NFSv4.1: generic read") from the nfs tree
interacting with commit 4ba8216cd905 ("BKL: That's all, folks") from the
bkl-config tree.

I couldn't see that this include file was needed, so I applied the patch
below (which Trond could apply to his tree, I am pretty sure).  (I am not
sure why module.h is included either.)

From: Stephen Rothwell <[email-masked]>
Date: Tue, 15 Mar 2011 18:37:09 +1100
Subject: [PATCH] nfs: BKL is no longer needed, so remove the include

Signed-off-by: Stephen Rothwell <[email-masked]>
---
 fs/nfs/read.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

diff --git a/fs/nfs/read.c b/fs/nfs/read.c
index 4b764c6..7cded2b 100644
--- a/fs/nfs/read.c
+++ b/fs/nfs/read.c
@@ -18,7 +18,6 @@
 #include <linux/sunrpc/clnt.h>
 #include <linux/nfs_fs.h>
 #include <linux/nfs_page.h>
-#include <linux/smp_lock.h>
 #include <linux/module.h>
 
 #include <asm/system.h>
-- 
1.7.4.1

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/